org.eclipse.aether.internal.impl

## Class EnhancedLocalRepositoryManagerFactory

- java.lang.Object
- - org.eclipse.aether.internal.impl.EnhancedLocalRepositoryManagerFactory

- All Implemented Interfaces:
    LocalRepositoryManagerFactory, Service

      @Named(value="enhanced")
      @Component(role=LocalRepositoryManagerFactory.class,
                 hint="enhanced")
      public class EnhancedLocalRepositoryManagerFactory
      extends Object
      implements LocalRepositoryManagerFactory, Service

  Creates enhanced local repository managers for repository types `"default"` or `"" (automatic)`. Enhanced local repository manager is built upon the classical Maven 2.0 local repository structure but additionally keeps track of from what repositories a cached artifact was resolved. Resolution of locally cached artifacts will be rejected in case the current resolution request does not match the known source repositories of an artifact, thereby emulating physically separated artifact caches per remote repository.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnhancedLocalRepositoryManagerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getPriority()` The priority of this factory.
    `void` | `initService(ServiceLocator locator)` Provides the opportunity to initialize this service and to acquire other services for its operation from the locator.
    `LocalRepositoryManager` | `newInstance(RepositorySystemSession session, LocalRepository repository)` Tries to create a repository manager for the specified local repository.
    `EnhancedLocalRepositoryManagerFactory` | `setLoggerFactory(LoggerFactory loggerFactory)`
    `EnhancedLocalRepositoryManagerFactory` | `setPriority(float priority)` Sets the priority of this component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnhancedLocalRepositoryManagerFactory

          public EnhancedLocalRepositoryManagerFactory()

  - ### Method Detail

    - #### newInstance

          public LocalRepositoryManager newInstance(RepositorySystemSession session,
                                           LocalRepository repository)
                                             throws NoLocalRepositoryManagerException

      Description copied from interface: `LocalRepositoryManagerFactory`
      Tries to create a repository manager for the specified local repository. The distinguishing property of a local repository is its `type`, which may for example denote the used directory structure.
      Specified by:
        `newInstance` in interface `LocalRepositoryManagerFactory`
      Parameters:
        `session` - The repository system session from which to configure the manager, must not be `null`.
        `repository` - The local repository to create a manager for, must not be `null`.
      Returns:
        The manager for the given repository, never `null`.
      Throws:
        `NoLocalRepositoryManagerException` - If the factory cannot create a manager for the specified local repository.

    - #### initService

          public void initService(ServiceLocator locator)

      Description copied from interface: `Service`
      Provides the opportunity to initialize this service and to acquire other services for its operation from the locator. A service must not save the reference to the provided service locator.
      Specified by:
        `initService` in interface `Service`
      Parameters:
        `locator` - The service locator, must not be `null`.

    - #### setLoggerFactory

          public EnhancedLocalRepositoryManagerFactory setLoggerFactory(LoggerFactory loggerFactory)

    - #### getPriority

          public float getPriority()

      Description copied from interface: `LocalRepositoryManagerFactory`
      The priority of this factory. Factories with higher priority are preferred over those with lower priority.
      Specified by:
        `getPriority` in interface `LocalRepositoryManagerFactory`
      Returns:
        The priority of this factory.

    - #### setPriority

          public EnhancedLocalRepositoryManagerFactory setPriority(float priority)

      Sets the priority of this component.
      Parameters:
        `priority` - The priority.
      Returns:
        This component for chaining, never `null`.

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.